gDTC - Anomalie #2048

Création de deux cotisations lors de I'enregistrement du paiement cbweb
23/05/2008 15:10 - Eva Mathieu

Statut: Fermé Début: 23/05/2008
Priorité: Elevée Echéance:

Assigné a: Benjamin Drieu % réalisé: 0%
Catégorie: Temps estimé: 0.00 heure
Version cible:

Description

C'est la deuxieéme fois que je constate ce probleme : lors de I'enregistrement
automatique des paiements par carte bleu, 2 cotisations sont créées
simultanément ; la deuxiéme seulement porte les informations sur la référence
et la date du paiement.

e Exemple Pierre ETCHEMAITE (mais voir aussi JOBARD et L'HERNAULT)

http://adherents.april.org/admin/index.php?action=edit&amp;table=subscription&amp;id=3814&amp;actor_id=1247

Voici le mail notifiant le paiement :

>Date : 2008-05-21 22:03

> De : Gestion des adherents

> A : petchema@concept-micro.com

>CC : secretaire@april.org, tresorier@april.org

>Répondre a : "Gestion des adherents" <secretaire@april.org>

>M Pierre ETCHEMAITE,

>Nous avons bien regu le paiement de votre cotisation par carte bancaire.
>Les références de la transaction sont :

&gt;—- Date de 1l'opération : le 21/05/2008 a 22:03:59

&gt;—- Référence : 01247200805212202
&gt;—- Montant : 50 euros

(Je transcris ci-aprés les différents éléments avant de les corriger).
J'ai une premiére cotisation :

24/05/2008 23/05/2009 50,00 € cbweb

dont I'historique affiche :

21/05/2008 - 22h01 cmcic_response subscription added

et une deuxiéme cotisation :

24/05/2009 23/05/2010 50,00 € cbweb

dont voici I'historique :

21/05/2008 - 22h03 cmcic_response subscription changed
payment_received_date-> 2008-05-21

21/05/2008 - 22h03 cmcic_response subscription changed
payment_endorsed_date-> 2008-05-21

21/05/2008 - 22h03 cmcic_response subscription changed voucher->

01247200805212202
21/05/2008 - 22h02 cmcic_response subscription added

Historique
#1 - 07/12/2008 23:43 - Benjamin Drieu

Corrigé.
